package cox.jmatt.java.MathTools.demo.gpgdemo;

/** This class acts solely as a container for graph paper generator Panels. It was created to separate AWT components from <code>CapCom</code>. It has no public 
    constructor since it is never instantiated.
*/

public class GPickle {
  private GPickle() {}

  /** GUI <code>GPGenerator</code> instance to allow margin setting and saving. */
  public static cox.jmatt.java.MathTools.demo.GPGenerator gpgMain = null;

  /** GUI or scriptable <code>QuadrillePanel</code>. */
  public static QuadrillePanel gpgQuadrillePanel = null;

  /** GUI or scriptable <code>BPSPanel</code>. */
  public static BPSPanel gpgBPSPanel = null;

  /** GUI or scriptable <code>LedgerPanel</code>. */
  public static LedgerPanel gpgLedgerPanel = null;

  /** GUI or scriptable <code>LogPanel</code>. */
  public static LogPanel gpgLogPanel = null;

  /** GUI or scriptable <code>PolarPanel</code>. */
  public static PolarPanel gpgPolarPanel = null;

  /** GUI or scriptable <code>BarChartPanel</code>. */
  public static BarChartPanel gpgBarChart = null;

  /** GUI or scriptable <code>HexGridPanel</code>. */
  public static HexGridPanel gpgHexGrid = null;

  /** GUI or scriptable <code>MusicPanel</code>. */
  public static MusicPanel gpgMusic = null;

  /** GUI or scriptable <code>LetteringPanel</code>. */
  public static LetteringPanel gpgLettering = null;

  /** GUI or scriptable <code>OffsetQuadPanel</code>. */
  public static OffsetQuadPanel gpgOffsetQuad = null;

  /** GUI or scriptable <code>SymmetricLogPanel</code>. */
  public static SymmetricLogPanel gpgSymmetricLog = null;

  /** GUI or scriptable <code>IsometricPanel</code>. */
  public static IsometricPanel gpgIsometric = null;

  /** GUI or scriptable <code>PerspectivePanel</code>. */
  public static PerspectivePanel gpgPerspective = null;

}
