package cox.jmatt.java.MathTools.graphing.Graph;

import cox.jmatt.java.MathTools.graphing.*;

/** This class is defined and is used solely as a rendering context Object. It is handled automatically and need not be created by a script or application. */
public class GraphKeysPDK implements GraphKeys {

  private int myCount = 0;
  private String myFrom = "-10", myTo = "10";

  /** The only constructor needed. */
  public GraphKeysPDK() { super(); }

  /** Used internally and automatically. */
  public void setCount(int pCount) { myCount = pCount; }

  /** Used internally and automatically. */
  public int getCount() { return myCount; }

  /** Used internally. Do not touch! */
  public void setRange(String pFrom, String pTo) { myFrom = pFrom; myTo = pTo; }

  /** Internal use only. */
  public String getFrom() { return myFrom; }

  /** Internal use only. */
  public String getTo() { return myTo; }

}
