package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;b&gt; tag. */
public class BTag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public BTag() { super(BaseHTag.TagKeys.B_TAG); }

  /** Construct a tag with content. */
  public BTag(String pContent) { super(BaseHTag.TagKeys.B_TAG, pContent); }

  /** Copy the current tag. */
  public BTag copyOf() {
    _enableCopy();
    return new BTag();
  }

}

