package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;dd&gt; tag. */
public class DDTag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public DDTag() { super(BaseHTag.TagKeys.DD_TAG); }

  /** Construct a tag with content. */
  public DDTag(String pContent) { super(BaseHTag.TagKeys.DD_TAG, pContent); }

  /** Copy the current tag. */
  public DDTag copyOf() {
    _enableCopy();
    return new DDTag();
  }

}

