package cox.jmatt.java.MathTools.markup.html;

/** This class implements the &lt;div&gt; tag, the major block-level structural document tag. It extends <code>PTag</code> and can add both &lt;p&gt; and 
    &lt;div&gt; tags as well as the decoration and item tags.
*/
public class DivTag extends PTag {

  /** Constructor for an empty tag. */
  public DivTag() {
    super(BaseHTag.TagKeys.DIV_TAG);
    myLevel = DIV_LEVEL - 1;
  }

  /** Protected subclass constructor. */
  protected DivTag(BaseHTag.TagKeys pTag) { super(pTag); }

  /** Copy this tag. */
  public DivTag copyOf() {
    _enableCopy();
    return new DivTag();
  }

}

