package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;i&gt; tag. */
public class ITag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public ITag() { super(BaseHTag.TagKeys.I_TAG); }

  /** Construct a tag with content. */
  public ITag(String pContent) { super(BaseHTag.TagKeys.I_TAG, pContent); }

  /** Copy the current tag. */
  public ITag copyOf() {
    _enableCopy();
    return new ITag();
  }

}

