package cox.jmatt.java.MathTools.markup;

import java.util.Hashtable;

/** This class presents a fully-settable <code>StyleInfo</code>. Every aspect is accessible. */
public class SimpleStyleImpl extends StyleInfo {

  public SimpleStyleImpl() { super(); }

  /** Get a copy of the declarations. */
  public Hashtable<String, String> getDeclarations() { return _declarations(); }

  /** Set a declaration in this rule. */
  public SimpleStyleImpl addDeclaration(String pName, String pValue) {
    _addDeclaration(pName, pValue);
    return this;
  }

}

