package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;dl&gt; tag. */
public class DTTag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public DTTag() { super(BaseHTag.TagKeys.DT_TAG); }

  /** Construct a tag with content. */
  public DTTag(String pContent) { super(BaseHTag.TagKeys.DT_TAG, pContent); }

  /** Copy the current tag. */
  public DTTag copyOf() {
    _enableCopy();
    return new DTTag();
  }

}

