package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;em&gt; tag. */
public class EMTag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public EMTag() { super(BaseHTag.TagKeys.EM_TAG); }

  /** Construct a tag with content. */
  public EMTag(String pContent) { super(BaseHTag.TagKeys.EM_TAG, pContent); }

  /** Copy the current tag. */
  public EMTag copyOf() {
    _enableCopy();
    return new EMTag();
  }

}

