package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;span&gt; tag. */
public class SpanTag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public SpanTag() { super(BaseHTag.TagKeys.SPAN_TAG); }

  /** Construct a tag with content. */
  public SpanTag(String pContent) { super(BaseHTag.TagKeys.SPAN_TAG, pContent); }

  /** Copy the current tag. */
  public SpanTag copyOf() {
    _enableCopy();
    return new SpanTag();
  }

}

