package cox.jmatt.java.MathTools.markup.html;

/** This class provides the &lt;u&gt; tag. */
public class UTag extends SimpleDecorationTag {

  /** Standard constructor for editable tags. */
  public UTag() { super(BaseHTag.TagKeys.U_TAG); }

  /** Construct a tag with content. */
  public UTag(String pContent) { super(BaseHTag.TagKeys.U_TAG, pContent); }

  /** Copy the current tag. */
  public UTag copyOf() {
    _enableCopy();
    return new UTag();
  }

}

