package cox.jmatt.java.MathTools.scrob;

import cox.jmatt.java.MathTools.*;
import cox.jmatt.java.MathTools.util.MMatrixBuilder;

public class MMatrixBuilder_SCROB {

  public MMatrixBuilder_SCROB() { super(); }

  public double[][] createArray(int rows, int cols, double fill) { return MMatrixBuilder.createArray(rows, cols, fill); }
  public double[][] createArray(String array) { return MMatrixBuilder.createArray(array); }
  public double[][] createArray(String[] array, String csplit) { return MMatrixBuilder.createArray(array, csplit); }
  public double[][] createArray(String array, String rsplit, String csplit) { return MMatrixBuilder.createArray(array, rsplit, csplit); }
  public double[][] createDiagonalArray(int dim, double fill, double diag) { return MMatrixBuilder.createDiagonalArray(dim, fill, diag); }
  public double[][] createSquareArray(int dim, double fill) { return MMatrixBuilder.createSquareArray(dim, fill); }
  public int[][] createIntArray(int rows, int cols, int fill) { return MMatrixBuilder.createIntArray(rows, cols, fill); }
  public double[][] createRandArray(int pRows, int pCols, int pMin, int pMax, boolean pAllowZero) { return MMatrixBuilder.createRandArray(pRows, pCols, pMin, pMax, pAllowZero); }

  public MMatrix createMMatrix(int rows, int cols, double fill) { return MMatrixBuilder.createMMatrix(rows, cols, fill); }
  public MMatrix createMMatrix(String array) { return MMatrixBuilder.createMMatrix(array); }
  public MMatrix createMMatrix(String[] array, String csplit) { return MMatrixBuilder.createMMatrix(array, csplit); }
  public MMatrix createMMatrix(String array, String rsplit, String csplit) { return MMatrixBuilder.createMMatrix(array, rsplit, csplit); }
  public MMatrix createDiagonalMMatrix(int dim, double fill, double diag) { return MMatrixBuilder.createDiagonalMMatrix(dim, fill, diag); }
  public MMatrix createSquareMMatrix(int dim, double fill) { return MMatrixBuilder.createSquareMMatrix(dim, fill); }
  public MMatrix createMMatrix(double[][] array) { return MMatrixBuilder.createMMatrix(array); }
  public MMatrix createRandMMatrix(int pRows, int pCols, int pMin, int pMax, boolean pAllowZero) { return MMatrixBuilder.createRandMMatrix(pRows, pCols, pMin, pMax, pAllowZero); }

  public double[][] smoothCopy(double[][] array) { return MMatrixBuilder.smoothCopy(array); }
  public void dump(double[][] array) { MMatrixBuilder.dump(array); }
  public void dump(double[] array) { MMatrixBuilder.dump(array); }
  public void printMMatrix(MMatrix matrix) { MMatrixBuilder.printMMatrix(matrix); }
  public MMatrix TEST_MATRIX() { return MMatrixBuilder.TEST_MATRIX(); }

  public MMatrix changeElement(MMatrix mtx, int row, int col, double val) { return MMatrixBuilder.changeElement(mtx, row, col, val); }
  public MMatrix replaceRow(MMatrix mtx, int indx, double[] val) { return MMatrixBuilder.replaceRow(mtx, indx, val); }
  public MMatrix replaceColumn(MMatrix mtx, int indx, double[] val) { return MMatrixBuilder.replaceColumn(mtx, indx, val); }
  public String[][] toStringArray(double[][] pAry, String rowPfx, String rowSfx, String[] elPfx, String[] elSfx) { return MMatrixBuilder.toStringArray(pAry, rowPfx, rowSfx, elPfx, elSfx); }
  public double[][] transposeArray(double[][] pAry) { return MMatrixBuilder.transposeArray(pAry); }

}
