package cox.jmatt.java.MathTools.scrob;

import cox.jmatt.java.MathTools.*;

public class MathEngine_SCROB {

  public MathEngine_SCROB() { super(); }

  public Question createExpression(String pVar, String pKnobs, String pTemplate) { return MathEngine.createExpression(pVar, pKnobs, pTemplate); }
  public cox.jmatt.java.MathTools.util.MMatrixBuilder newMMBuilder() { return MathEngine.newMMBuilder(); }
  public Arithmetic newArithmetic() { return new Arithmetic(); }
  public cox.jmatt.java.MathTools.util.MathConsole newConsole() { return new cox.jmatt.java.MathTools.util.MathConsole(); }
  public MFraction newMFraction() { return new MFraction(); }
  public MathXML newMathXML() { return new MathXML(); }
  public MMatrix newMMatrix() { return new MMatrix(); }
  public Percent newPercent() { return new Percent(); }
  public Polynomial newPolynomial() { return new Polynomial(); }
  public Question newQuestion() { return new Question(); }
  public int nzRandom(int lo, int hi) { return MathEngine.nzRandom(lo, hi); }
  public String parseRPN(String calc) { return MathEngine.parseRPN(calc); }
  public double random() { return MathEngine.random(); }
  public int random(int lo, int hi) { return MathEngine.random(lo, hi); }
  public void reseed() { MathEngine.reseed(); }
  public void reseed(long seed) { MathEngine.reseed(seed); }
  public int[] setKnobs(String knobs) { return MathEngine.setKnobs(knobs); }
  public String isoKnobs(String knobs) { return MathEngine.isoKnobs(knobs); }
  public String splick(String data) { return MathEngine.splick(data); }
  public String splick(String data, String token) { return MathEngine.splick(data, token); }
  public int splickInt(String data) { return MathEngine.splickInt(data); }
  public String[] spill(String data, String split, int nMin, String fill) { return MathEngine.spill(data, split, nMin, fill); }
  public String[] blines(String pDel) { return MathEngine.blines(pDel); }
  public String blick(String pDel) { return MathEngine.blick(pDel); }
  public String bread(String pDel, String pSep) { return MathEngine.bread(pDel, pSep); }
  public void adjustRandom(double pPow, double pRoot) { MathEngine.adjustRandom(pPow, pRoot); }
  public String[] filter(String[] pData, String pMatch) { return MathEngine.filter(pData, pMatch); }
  public String[] filter(String pData, String pMatch) { return MathEngine.filter(pData, pMatch); }
  public String flick(String[] pData, String pMatch) { return MathEngine.flick(pData, pMatch); }
  public String flick(String pData, String pMatch) { return MathEngine.flick(pData, pMatch); }
  public cox.jmatt.java.MathTools.util.MathToolsAccessory getAccessory(String pName) { return CapCom.createAccessory(pName); }
  public cox.jmatt.java.MathTools.test.MathTestFormatter newMTFormatter() { return new cox.jmatt.java.MathTools.test.MathTestFormatter(); }
  public MathStat newMathStat() { return new MathStat(); }
  public int rPrime() { return MathEngine.rPrime(); }
  public int rPrime(int pMax) { return MathEngine.rPrime(pMax); }
  public boolean closeTo(double pL, double pR, int pD) { return MathEngine.closeTo(pL, pR, pD); }
  public boolean closeTo(double pL, double pR) { return MathEngine.closeTo(pL, pR); }
  public void setCloseTo(int pD) { MathEngine.setCloseTo(pD); }
  public long hitCount() { return MathEngine.hitCount(); }
  public String arCat(int[] nums, boolean bAnd, boolean bWords) { return MathEngine.arCat(nums, bAnd, bWords); }
  public String arCat(double[] nums, boolean bAnd, boolean bWords) { return MathEngine.arCat(nums, bAnd, bWords); }
  public Object[] shuffle(Object[] pAry) { return MathEngine.shuffle(pAry); }
  public double[] dShuffle(double[] pAry) { return MathEngine.dShuffle(pAry); }
  public int[] iShuffle(int[] pAry) { return MathEngine.iShuffle(pAry); }
  public Integer[] boxInt(int[] pAry) { return MathEngine.boxInt(pAry); }
  public Double[] boxDouble(double[] pAry) { return MathEngine.boxDouble(pAry); }
  public MComplex newMComplex(int pReal, int pImag) { return MathEngine.newMComplex(pReal, pImag); }
  public long getMTime() { return MathEngine.getMTime(); }
  public cox.jmatt.java.MathTools.test.COFormatterFactory newCOFormatter() { return new cox.jmatt.java.MathTools.test.COFormatterFactory(); }
  public cox.jmatt.java.MathTools.util.MathDBC newMathDBC() { return new cox.jmatt.java.MathTools.util.MathDBC(); }
  public cox.jmatt.java.MathTools.markup.html.MathGenHTML newMathGenHTML() { return new cox.jmatt.java.MathTools.markup.html.MathGenHTML(); }
  public cox.jmatt.java.MathTools.markup.svg.MathDrawSVG newSVG() { return new cox.jmatt.java.MathTools.markup.svg.MathDrawSVG(); }
  public cox.jmatt.java.MathTools.markup.latex.MathGenLatex newMLatex() { return new cox.jmatt.java.MathTools.markup.latex.MathGenLatex(); }
  public cox.jmatt.java.MathTools.markup.SimpleTagImpl newSimpleTag() { return new cox.jmatt.java.MathTools.markup.SimpleTagImpl(); }
  public cox.jmatt.java.MathTools.graphing.GraphEngineFactory newGraphEngine() { return cox.jmatt.java.MathTools.graphing.GraphEngineFactory.newInstance(); }
  public String arCat(String[] pAry, String pSep, String pAnd, boolean pDescending) { return MathEngine.arCat(pAry, pSep, pAnd, pDescending); }
  public MathSet newMathSet() { return MathSet.realNumbers(); }

}
